## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate alacritty

Name:           rust-alacritty
Version:        0.13.2
Release:        %autorelease
Summary:        Fast, cross-platform, OpenGL terminal emulator

License:        Apache-2.0
URL:            https://crates.io/crates/alacritty
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          alacritty-fix-metadata-auto.diff
# GNOME 45.2 or later tells alacritty window to stop rendering under certain
# conditions.
# https://github.com/alacritty/alacritty/issues/7465#issuecomment-1871014052
# https://gitlab.gnome.org/GNOME/mutter/-/issues/3229
Patch:          alacritty-0.13-ignore-xdg-shell-suspended-state.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A fast, cross-platform, OpenGL terminal emulator.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSD-3-Clause
# CC0-1.0
# ISC
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        (MIT OR Apache-2.0) AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND BSD-2-Clause AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND BSD-3-Clause AND CC0-1.0 AND ISC AND MIT AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# libwayland-egl is dlopened when running on a wayland compositor
Requires:       libwayland-egl

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/alacritty
%{_mandir}/man1/alacritty-msg.1*
%{_mandir}/man1/alacritty.1*
%{_mandir}/man5/alacritty-bindings.5*
%{_mandir}/man5/alacritty.5*
%{_metainfodir}/org.alacritty.Alacritty.appdata.xml
%{_datadir}/applications/Alacritty.desktop
%{_datadir}/pixmaps/Alacritty.svg
%{bash_completions_dir}/alacritty
%{zsh_completions_dir}/_alacritty
%{fish_completions_dir}/alacritty.fish

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'desktop-file-utils'
echo 'libappstream-glib'
echo 'scdoc'

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
for fname in alacritty-bindings.5 alacritty-msg.1 alacritty.1 alacritty.5; do
    scdoc <extra/man/$fname.scd >extra/man/$fname
done

%install
%cargo_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications extra/linux/Alacritty.desktop
install -m644 -pvD extra/completions/alacritty.bash %{buildroot}%{bash_completions_dir}/alacritty
install -m644 -pvD extra/completions/_alacritty     %{buildroot}%{zsh_completions_dir}/_alacritty
install -m644 -pvD extra/completions/alacritty.fish %{buildroot}%{fish_completions_dir}/alacritty.fish
install -m644 -pvD extra/logo/alacritty-term.svg    %{buildroot}%{_datadir}/pixmaps/Alacritty.svg
install -m644 -pvD -t %{buildroot}%{_metainfodir}   extra/linux/org.alacritty.Alacritty.appdata.xml
for fname in alacritty-bindings.5 alacritty-msg.1 alacritty.1 alacritty.5; do
    install -m644 -pvD "extra/man/$fname" "%{buildroot}%{_mandir}/man${fname##*.}/$fname"
done

%if %{with check}
%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.appdata.xml
# * expects workspace paths
%cargo_test -- -- --skip cli::tests::completions
%endif

%changelog
* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> 0.13.2-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Sun Mar 24 2024 Aleksei Bavshin <alebastr@fedoraproject.org> 0.13.2-1
- Update to 0.13.2 (rhbz#2271308)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 16 2024 Aleksei Bavshin <alebastr@fedoraproject.org> 0.13.1-2
- Work around a GNOME Wayland bug that prevents maximized window updates

* Mon Jan 08 2024 Aleksei Bavshin <alebastr@fedoraproject.org> 0.13.1-1
- Update to 0.13.1 (rhbz#2257289)

* Sun Dec 31 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 0.13.0-2
- Rebuild for winit 0.29.8

* Thu Dec 28 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 0.13.0-1
- Update to 0.13.0 (rhbz#2256031)

* Tue Oct 03 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 0.12.3-1
- Update to 0.12.3 (rhbz#2241827)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 01 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 0.12.2-1
- Update to 0.12.2 (rhbz#2219079)

* Tue May 23 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 0.12.1-1
- Update to 0.12.1 (rhbz#2208885)

* Tue Apr 04 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 0.12.0-1
- Update to 0.12.0 (#2134252)

* Fri Jan 27 2023 Maxwell G <gotmax@e.email> 0.10.1-5
- Reenable s390x build

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.10.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Feb 26 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.10.1-2
- Exclude s390x

* Fri Feb 25 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.10.1-1
- Version 0.10.1 (rhbz#2035604)

* Thu Feb 17 2022 Fabio Valentini <decathorpe@gmail.com> 0.9.0-4
- Add dependency on dlopened libwayland-egl

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 0.9.0-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Fabio Valentini <decathorpe@gmail.com> 0.9.0-1
- Update to version 0.9.0; Fixes RHBZ#1989483

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed May 19 2021 Fabio Valentini <decathorpe@gmail.com> - 0.8.0-1
- Update to version 0.8.0.
- Fixes RHBZ#1962046

* Sat Feb 20 20:35:00 CET 2021 returntrip <stefano@figura.im> - 0.7.2-2
- Fixes RHZB#1929687

* Sat Feb 20 15:45:00 CET 2021 returntrip <stefano@figura.im> - 0.7.2-1
- Update to 0.7.2 (Fixes RHZB#1930981)

* Sat Feb 6 12:25:00 CET 2021 returntrip <stefano@figura.im> - 0.7.1-1
- Update to 0.7.1 (Fixes RHZB#1914242)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:27:02 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.6.0-2
- Rebuild

* Sun Nov 29 17:30:00 CEST 2020 returntrip <stefano@figura.im> - 0.6.0-1
- Update to 0.6.0

* Fri Oct 16 13:45:04 CEST 2020 returntrip <stefano@figura.im> - 0.5.0-1
- Initial package

